import { default as PropTypes } from 'prop-types';
export default InternalFooter;
/**
 * 通用的内部 footer 组件, 定义并渲染常见的几种 footer 元素: brand/navigation/social medial 等
 */
declare function InternalFooter({ ...props }: {
    [x: string]: any;
}): import("react/jsx-runtime").JSX.Element;
declare namespace InternalFooter {
    namespace propTypes {
        let brand: PropTypes.Requireable<PropTypes.InferProps<{
            name: PropTypes.Requireable<PropTypes.ReactNodeLike>;
            description: PropTypes.Requireable<string>;
            logo: PropTypes.Requireable<PropTypes.ReactNodeLike>;
        }>>;
        let navigation: PropTypes.Requireable<(PropTypes.InferProps<{
            label: PropTypes.Requireable<PropTypes.ReactNodeLike>;
            link: PropTypes.Requireable<string>;
        }> | null | undefined)[]>;
        let socialMedia: PropTypes.Requireable<(PropTypes.InferProps<{
            icon: PropTypes.Requireable<PropTypes.ReactNodeLike>;
            link: PropTypes.Requireable<string>;
        }> | null | undefined)[]>;
        let copyright: PropTypes.Requireable<PropTypes.InferProps<{
            owner: PropTypes.Requireable<string>;
            year: PropTypes.Requireable<NonNullable<string | number | null | undefined>>;
        }>>;
        let links: PropTypes.Requireable<(PropTypes.InferProps<{
            label: PropTypes.Requireable<PropTypes.ReactNodeLike>;
            link: PropTypes.Requireable<string>;
        }> | null | undefined)[]>;
        let layout: PropTypes.Requireable<string>;
    }
}
